%
% System dependent information generated by Autoconf.
%
% @configure_input@
%
\begin{code}
module Autoconf ( darcsconfdir, datadir, libexecdir, have_libcurl, have_libwww, have_HTTP,
                  use_color, use_mmap, darcs_version, sendmail_path, have_sendmail,
                  have_mapi, diff_program,
                  path_separator, big_endian,
                ) where

import ThisVersion ( darcs_version )

{-# INLINE darcsconfdir #-}
darcsconfdir :: String
darcsconfdir = "@sysconfdir@/darcs"

{-# INLINE datadir #-}
datadir :: String
datadir = "@datadir@"

{-# INLINE libexecdir #-}
libexecdir :: String
libexecdir = "@libexecdir@"

{-# INLINE have_libcurl #-}
have_libcurl :: Bool
have_libcurl = @HAVE_LIBCURL@

{-# INLINE have_libwww #-}
have_libwww :: Bool
have_libwww = @HAVE_LIBWWW@

{-# INLINE have_HTTP #-}
have_HTTP :: Bool
have_HTTP = @HAVE_HTTP@

{-# INLINE use_color #-}
use_color :: Bool
use_color = @USE_COLOR@

{-# INLINE use_mmap #-}
use_mmap :: Bool
use_mmap = @USE_MMAP@

{-# INLINE sendmail_path #-}
sendmail_path :: String
sendmail_path = "@SENDMAIL@"

{-# INLINE have_sendmail #-}
have_sendmail :: Bool
have_sendmail = @HAVE_SENDMAIL@

{-# INLINE have_mapi #-}
have_mapi :: Bool
have_mapi = @HAVE_MAPI@

{-# INLINE diff_program #-}
diff_program :: String
diff_program = "@DIFF@"

{-# INLINE path_separator #-}
path_separator :: Char
path_separator = '@GHC_SEPARATOR@'

{-# INLINE big_endian #-}
big_endian :: Bool
big_endian = @BIGENDIAN@
\end{code}

